[SCM] mda-lv2/master: Add unpack_waf.sh script and adjust get-svn-source.sh to strip waf out of the tarball.
alessio at users.alioth.debian.org
alessio at users.alioth.debian.org
Tue Jan 10 22:06:19 UTC 2012
The following commit has been merged in the master branch:
commit f9fc781079017242be3e092879190da8e3d7bdff
Author: Alessio Treglia <alessio at debian.org>
Date: Tue Jan 10 22:41:17 2012 +0100
Add unpack_waf.sh script and adjust get-svn-source.sh to strip waf out of the tarball.
diff --git a/debian/get-svn-source.sh b/debian/get-svn-source.sh
index 4b3dc92..f56c9be 100755
--- a/debian/get-svn-source.sh
+++ b/debian/get-svn-source.sh
@@ -10,12 +10,14 @@ if [ -z ${BASE_REL} ]; then
exit 1
fi
+UNPACK_WAF=$PWD/debian/unpack_waf.sh
rm -rf ${GOS_DIR}
mkdir ${GOS_DIR} && cd ${GOS_DIR}
MDA_LV2_SVN_COMMIT=$(eval "${SVN_COMMIT}")
svn export -r ${MDA_LV2_SVN_COMMIT} http://svn.drobilla.net/lad/trunk/plugins/mdala.lv2/ mda-lv2
cd mda-lv2/
+${UNPACK_WAF}
cd .. && tar cjf \
${OLDDIR}/mda-lv2_${BASE_REL}~svn${MDA_LV2_SVN_COMMIT}.orig.tar.bz2 \
mda-lv2 --exclude=.svn --exclude=lv2_ui.h
diff --git a/debian/unpack_waf.sh b/debian/unpack_waf.sh
new file mode 100755
index 0000000..257fab4
--- /dev/null
+++ b/debian/unpack_waf.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# unpack_waf - generate an unpacked instance of the waf all-in-one blob
+# Copyright (C) 2012 Alessio Treglia <alessio at debian.org>
+# Based on: http://wiki.debian.org/UnpackWaf
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+echo -n "Unpacking waf... "
+./waf --help &>/dev/null
+WAFDIR=`ls .waf-*/`
+mv .waf-*/${WAFDIR} ${WAFDIR}
+sed -i '/^#==>$/,$d' waf
+rmdir .waf-*
+echo "OK."
+
+echo -n "Purging .pyc files... "
+find ${WAFDIR} -name "*.pyc" -delete
+echo "OK."
--
mda-lv2 packaging
More information about the pkg-multimedia-commits
mailing list